In this section
← Preparation
- Boost a preparation
- Unboost a preparation
- Create a new media for a preparation
- Update a media for a preparation
- Delete a media for a preparation
- Retrieve preparations linked from a preparation
- Publish a preparation
- Unpublish a preparation
- Retrieve the user's preparations
- Create a new preparation
- Retrieve the specified preparation by its id
- Update an existing preparation
- Delete a preparation
On this page
Create a new media for a preparation
POST /api/v1/preparations/{eventable_id}/mediaUpload and attach a new image to the specified preparation. The endpoint accepts image files only; it rejects other formats such as PDF.
Required Scopes
write
Request Body
Content-Type: multipart/form-data
Schema: object
| Field | Type | Required | Description |
|---|---|---|---|
media |
medium_input |
no |
Responses
201
media created
Schema: medium_output
medium_output
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | |
description |
string | yes | |
created_at |
string | yes | |
original |
string | yes | |
medium |
string | yes | |
small |
string | yes |
422
invalid request
Schema: errors
errors
| Field | Type | Required | Description |
|---|---|---|---|
errors |
object | yes |
